EMELFM2(1)

NAME
emelFM2 - a GTK2+ file manager

SYNOPSIS
emelfm2 [OPTION]... [DIR]

DESCRIPTION
emelFM2 is a file manager for UNIX-like operating systems. It uses a simple and efficient interface pioneered by Norton Commander in the 1980's. The main window is divided into three "panes" or "panels". Two of them show information about the contents of selected filesystem directories. That information is presented as text. The third pane shows the output of commands executed within the program. A built-in command-line, toolbar buttons or assigned keys can be used to initiate commands. A flexible filetyping mechanism provides user-determined actions for desired filetypes.

COMMAND LINE OPTIONS

-1,--one= DIR
    At session-start, show DIR in the first filelist pane.

-2,--two= DIR
    At session-start, show DIR in the second filelist pane.

DIR Same as -2 DIR, except pane 2 is focused.

-c,--config= DIR
    Set the configuration-data directory to DIR (default: ~/.config/emelfm2).

-a,--share-config= DIR
    Also load configuration-data from directory DIR. Session config data are not saved to DIR.

-e,--encoding= TYPE
    Set the filesystem character encoding to TYPE.

-f,--fallback-encoding= TYPE
    Set the fallback encoding to TYPE (default: ISO-8859-1).

-i,--ignore-problems
    Ignore the encoding/locale problems (use at your own risk!).

-l,--log-all
    Maximise GTK+2 error logging.

-m,--daemon
    Detach the emelFM2 session from its controlling terminal. Will not work when emelFM2 is compiled with debug support.

-r,--run-at-start= COMMAND
    Run COMMAND immediately after session start.

-s,--set-option OPTION_NAME=string-value
    Set one-line config option. "OPTION_NAME=string-value" is a string in the format used in the config file.

-t,--trash= DIR
    Set the trash directory to DIR (default: ~/.local/share/Trash/files).

-u,--user
    Flag displayed username.

Help options:

-b,--build
    Display build-time parameters.

-h,--help
    Display a brief help message.

-v,--version
    Display the version and build information.

These only work when emelFM2 is compiled with debug support:

-d,--debug= N
    Set the debug level. N = digit from 1 (lowest) to 5 (highest). Default is 5.

-x,--verbose
    Display time and location information in debug messages. Only works when emelFM2 is compiled with debug support.

FILES AND DIRECTORIES

[PREFIX]/bin
    Location for the emelFM2 binary. Default PREFIX is /usr/local, which may be modified at compilation time.

[PREFIX]/lib/emelfm2/plugins
    Default location for emelFM2 plugin files, named like e2p*.so.

[PREFIX]/share/doc/emelfm2
    Default documentation files' location.

[PREFIX]/share/pixmaps/emelfm2
    Default location of application-specific icon files.

~/.config/emelfm2
    Default location for configuration files, named "config" and "cache".

~/.local/share/Trash/files
    Default trash directory.

ENVIRONMENT VARIABLES
These are directly used:

G_BROKEN_FILENAMES, G_FILENAME_ENCODING, HOSTNAME, LC_ALL, LC_MESSAGES, LANGUAGE or LANG, PATH

SUGGESTIONS AND BUG REPORTS
Please send bug reports, comments or feature requests to the mailing list <emelfm2@freelists.org>. You do not need to be a subscriber.
For known bugs refer to http://emelfm2.net/TODO.

CREDITS
The original emelFM was essentially a compilation of some of the features that Michael Clark found most useful in other file managers. The current maintainer of emelFM2 is tooar. For a complete list of contributors please refer to [PREFIX]/share/doc/emelfm2/CREDITS.

COPYRIGHT
Copyright (C) 2003-2013, tooar <tooar@emelfm2.net>.

LICENSE
emelFM2 is licensed under the terms of the GNU General Public License version 3 and is provided WITHOUT ANY WARRANTY. See that license for more details.

SEE ALSO
Website http://emelfm2.net
User Guide http://emelfm2.net/UserGuide
Updated emelFM http://www.havens.de/elm/emelfm.html
Old emelFM http://www.pitt.edu/~macst92/emelFM/ or
                  http://emelFM.sourceforge.net/